# cut -- cut a distribution on specified limits

# **add ability to take multicolumn input

procedure cut(infile,outfile,minval,maxval)

string infile {prompt = "Name of input file"}
string outfile {prompt = "Name of output file"}
real minval=0. {prompt = "Minimum value to keep"}
real maxval=0. {prompt = "Maximum value to keep"}

begin

string iinfile, ooutfile
real val, mminval, mmaxval

iinfile=infile
ooutfile=outfile
mminval=minval
mmaxval=maxval

list=iinfile
while (fscan (list, val) != EOF) {
	if(val>=mminval) {
		if(val<=mmaxval) {
			print(val, >> ooutfile)
		}
	}
}

count (iinfile//","//ooutfile)
end
