procedure btc_crzap(inlist, outlist)

# btc_crzap -- de-cosmic-ray btc images using standard parameters
# 980728: created

string	inlist	{prompt="List of input images (no @ at beginning)"}
string	outlist	{prompt="List of output crzap images (can be same as input)"}
bool   echog        {yes,prompt="Beep when task is done?"}
struct	*name

begin

string	in_list, out_list, both_list, inimg, outimg
int	nlines1, nlines2

in_list = inlist
out_list = outlist

count (in_list) | scan (nlines1)
count (out_list) | scan (nlines2)

if (nlines1!=nlines2) {
	beep
	print ("Task aborted -- different number of input & output images!")
} else {
	both_list=mktemp("both")
	join (in_list, out_list, output=both_list)
	name = both_list
	while (fscan (name, inimg, outimg) != EOF) {

		crzap (inimg, outimg, zbox=3, obox=3, nsig=3.5, nnegsig=0., nrings=1, nobjsig=2, skyfiltsize=10, skysubsam=3, ngrowobj=0, deletemask-, cleanpl+, cleanimh+, ver+, unzap-, checklimit+, statsec="[900:1150,900:1150]", echog-)

	}

	del (both_list, ver-)
	if(echog)beep

}

end


